%define upstream_name    Mail-AuthenticationResults
%define upstream_version 2.20231031

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Class for modelling AuthenticationResults Header parts detected as quoted strings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Object Oriented Authentication-Results email headers.

This parser copes with most styles of Authentication-Results header seen in
the wild, but is not yet fully RFC7601 compliant

Differences from RFC7601

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Nov 01 2023 tv <tv> 2.202.310.310-1.mga10
+ Revision: 2003278
- update to 2.20231031

* Mon Jan 16 2023 tv <tv> 2.202.301.120-1.mga9
+ Revision: 1933759
- update to 2.20230112

* Wed Mar 23 2022 umeabot <umeabot> 2.202.109.150-2.mga9
+ Revision: 1820739
- Mageia 9 Mass Rebuild

* Mon Sep 20 2021 tv <tv> 2.202.109.150-1.mga9
+ Revision: 1746062
- update to 2.20210915

* Thu Feb 25 2021 tv <tv> 2.202.101.120-1.mga9
+ Revision: 1690308
- update to 2.20210112

* Wed Feb 19 2020 umeabot <umeabot> 1.202.1.80-2.mga8
+ Revision: 1543009
- Mageia 8 Mass Rebuild

* Thu Jan 09 2020 tv <tv> 1.202.1.80-1.mga8
+ Revision: 1477375
- update to 1.20200108

* Wed Apr 17 2019 shlomif <shlomif> 1.201.809.230-1.mga7
+ Revision: 1392475
- imported package perl-Mail-AuthenticationResults

